 function lambda_min = gersch(H)
 % The function Gerschgorin using for find the minimum eigenvalue of the
 % interval matrix family [H].
 % LAMBDA_MIN = GERSCH(H)finds the minimum of the lambda. Function accepts 
 % input H and returns a function value lambda_min evaluated at H. 
 % vytvorena 2.3.2011
 
Habssup=sup(abs(H));
A_pom = Habssup-diag(diag(Habssup));

[n,m] = size(H);
for i=1:n
    A_dol = H(i,i).inf;
    lambda(i) = A_dol-sum(A_pom(i,:));
end
lambda_min=min(lambda);
 end
%A=infsup(rand,rand)*ones(1000,1000);