 function lambda_min = mori_kokame(A)
 % The Mori and Kokame's method uses the lower and upper vertex matrices,
 % respectively, in order to obtain a lower bound on the minimum eigenvalue
 % of an interval matrix[A].
 % LAMBDA_MIN = MORI_KOKAME(A)is difference the minimum of the eigenvalue 
 % of an  interval matrix [A_dol] and the spectral radius.
 % vytvorena 10.3.2011
 
A_dol = A.inf;
A_hor = A.sup;
lambda_min = min(eig(A_dol))-max(abs(eig(A_hor-A_dol)));
 end