function [y,dy] = objfun2(x,R)

% Definovanie dolnej a hornej hranice:
x1L = inf(R(1));
x1U = sup(R(1));
x2L = inf(R(2));
x2U = sup(R(2));

% hesian = [-cos(x(1))*sin(x(2)) (-sin(x(1))*cos(x(2))+(2*x(2)/(x(2)^2+1)^2));
%          (-sin(x(1))*cos(x(2))+(2*x(2)/(x(2)^2+1)^2)) -cos(x(1))*sin(x(2))...
%          +(((2*x(1)*(x(2)^2+1)^2-8*x(1)*x(2)^2*(x(2)^2+1))/(x(2)^2+1)^4))];
alfa = vrat_alfa(R);

% Podhodnocovanie veobecnch nekonvexnch lenov:
y = cos(x(1))*sin(x(2))-x(1)/(x(2)^2+1) + alfa*((x1U-x(1))*(x1L-x(1))+(x2U-x(2))*(x2L-x(2)));
dy(1) = - sin(x(1))*sin(x(2)) - 1/(x(2)^2 + 1);
dy(2) = cos(x(1))*cos(x(2)) + (2*x(1)*x(2))/(x(2)^2 + 1)^2;
end



