function [c,ceq,dc,dceq] = confun2(x,R)

x1L = inf(R(1));
x1U = sup(R(1));
x2L = inf(R(2));
x2U = sup(R(2));

alfa1 = vrat_alfa1(R);
alfa2 = vrat_alfa2(R);
 
c = [x(2)-2*x(1)^4+8*x(1)^3-8*x(1)^2-2+alfa1*((x1U-x(1))*(x1L-x(1))+(x2U-x(2))*(x2L-x(2)));
     x(2)-4*x(1)^4+32*x(1)^3-88*x(1)^2+96*x(1)-36+alfa2*((x1U-x(1))*(x1L-x(1))+(x2U-x(2))*(x2L-x(2)))]; 
ceq = [];

dc1 = [-8*x(1)^3+24*x(1)^2-16*x(1)+alfa1*(-x1L+2*x(1)-x1U);
       -16*x(1)^3+96*x(1)^2-176*x(1)+96+alfa2*(-x1L+2*x(1)-x1U)];
dc2 = [1+alfa1*(-x2L+2*x(2)-x2U); 
       1+alfa2*(-x2L+2*x(2)-x2U)];
dc = [dc1 dc2]';
dceq = [];
end